Parrotsec3.8 最新版kail可用搜狗输入法,重新打包安装

问题解决

#1

抱着试一试的想法,发现不用大变动搜狗输入法依然可以使用

1。安装必要包

sudo apt-get install fcitx          fcitx-frontend-gtk2    fcitx-module-dbus fcitx-bin        fcitx-frontend-gtk3    fcitx-module-kimpanel fcitx-config-common    fcitx-frontend-qt4     fcitx-module-lua  fcitx-config-gtk       fcitx-frontend-qt5     fcitx-modules fcitx-data                 fcitx-module-x11 fcitx-frontend-all     fcitx-libs-dev         fcitx-ui-classic

2.下载搜狗安装包
官网下载,下载到home/用户名/download目录下
3.解包修改,重新打包
cd进入download目录新建sougou目录 解包dpkg -X 搜狗下载文件 /sougou
#解压出包的控制信息sougou/DEBIAN/下:
dpkg -e 搜狗安装包 sougou/DEBIAN/
修改DEBIAN目录下control文件讲fcitx-libs fcitx-libs-qt及版本内容删除
重新打包sudo dpkg-deb -b sougou/ sougou.deb
4.用gdebi安装sougou.deb(文件在home文件中)

使用deepin下的搜狗安装包,发现可以直接使用gdebi安装工具安装
另,deepin下的wps安装包自带搜狗qt5支持包


Parrot系统常用配置
#2

这是什么鬼?


#3

我没有遇见你这种情况,我是直接在shell里 修改的,下载完搜狗的安装包,直接在shell里进行修改,然后安装,并没有报错。


#4

你最好百度一下,修改打包的命令格式,或者用man查看一下


#5

嗯嗯 我去 瞧瞧


#6

我在kali下改了下
fcitx (>= 1:4.2.8.3-3~), 改为 fcitx,
libopencc2 | libopencc1, 改为libopencc2,
fcitx-libs (>= 4.2.7), 改为fcitx-libs,
删除 fcitx-libs-qt (>= 4.2.7),
rolling 2017.3 测试通过


Partners Wiki IRC